Bug 861305 - [US2597][fork]Should prompt username and password after creating Jenkins app successfully
[US2597][fork]Should prompt username and password after creating Jenkins app ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 01:57 EDT by Wei Sun
Modified: 2015-05-14 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-09-28 01:57:37 EDT
Description of problem:

Create a jenkins application successfully,but don't prompt username and password,need to login app to find them,should prompt username and password after creating jenkins application successfully.

Version-Release number of selected component (if applicable):
server:devenv_2248
client:building an rhc package on fork_ami_US2597_US2599_US2813_US2817_US2872_173 (ami-f92f9d90)

How reproducible:
always

Steps to Reproduce:
1.create Jenkins app
rhc app create jenkins jenkins-1.4
2.

Actual results:
[sunwei@dhcp-8-229 dev]$ rhc app create jenkins jenkins-1.4
Password: **
Creating application 'jenkins'
==============================
  Namespace: wsunfor
  Cartridge: jenkins-1.4
  Gear Size: default
  Scaling:   no
Your application's domain name is being propagated worldwide (this might take a minute)...
The authenticity of host 'jenkins-wsunfor.dev.rhcloud.com (50.16.142.202)' can't be established.
RSA key fingerprint is 71:92:68:7d:19:dc:2e:de:8f:e5:83:92:f9:1b:95:a5.
Are you sure you want to continue connecting (yes/no)? yes
Cloning into 'jenkins'...
done
RESULT:
Application jenkins was created.

Expected results:
Should prompt username and passwork

Additional info:
use master rhc 0.99.2 ,can show prompt username and password
[wsun@localhost ~]$ rhc app create -a jenkins -t jenkins-1.4 -d
Password: 
Submitting form:
debug: true
rhlogin: wsun@redhat.com
Contacting https://ec2-23-22-148-197.compute-1.amazonaws.com
Creating application: jenkins in wsunfull
Contacting https://ec2-23-22-148-197.compute-1.amazonaws.com
Response from server:
DEBUG:
Exit Code: 0
api_c: placeholder
broker_c: namespacerhloginsshapp_uuiddebugaltercartridgecart_typeactionapp_nameapi
API version:    1.1.3
DEBUG: 'jenkins' creation returned success.
Now your new domain name is being propagated worldwide (this might take a minute)...
Pulling new repo down
git clone  ssh://7591bfd9c36c4a1b94b4b37d5710ad51@jenkins-wsunfull.dev.rhcloud.com/~/git/jenkins.git/ jenkins
Checking if the application is available #1
Application jenkins is available at: http://jenkins-wsunfull.dev.rhcloud.com/
  Git URL: ssh://7591bfd9c36c4a1b94b4b37d5710ad51@jenkins-wsunfull.dev.rhcloud.com/~/git/jenkins.git/
To make changes to 'jenkins', commit to jenkins/.
Jenkins created successfully.  Please make note of these credentials:
   User: admin
   Password: 82I_cLjy_GQ3
Note:  You can change your password at: https://jenkins-wsunfull.dev.rhcloud.com/me/configure
Comment 1 John Poelstra 2012-09-28 14:46:20 EDT
expect to fix today
Comment 2 Xiaoli Tian 2012-09-28 22:52:36 EDT
Move it to ON_QA to verify on the latest fork_ami:fork_ami_US2597_US2599_US2813_US2817_US2872_186
Comment 3 Wei Sun 2012-09-28 23:08:17 EDT
verified on the latest fork_ami:fork_ami_US2597_US2599_US2813_US2817_US2872_186

Step:
1.create a jenkins application

Result:

[sunwei@dhcp-8-229 dev]$ rhc app create -a jenkins -t jenkins-1.4
Password: 

Creating application 'jenkins'
==============================

  Namespace: wsunfork929
  Cartridge: jenkins-1.4
  Gear Size: default
  Scaling:   no

Your application's domain name is being propagated worldwide (this might take a minute)...
Cloning into 'jenkins'...
done

RESULT:
Application jenkins was created.

Jenkins created successfully.  Please make note of these credentials:

   User: admin
   Password: X8B_7-Qs2vmR

Note:  You can change your password at: https://jenkins-wsunfork929.dev.rhcloud.com/me/configure

Note You need to log in before you can comment on or make changes to this bug.